<?xml version="1.0" encoding="utf-8" ?>
<AppGui xmlns="AppGuiSchema">

<!-- This script contains the panel used as the Photos tab for the Photocard screen -->

	<Layout name="PhotocardStyleTab">	
		<Container type="AppPanel" name = "SelectedPanel">
			<Properties>
				<Property name="Size" type="Size">300,420</Property>
				<ComplexProperty name="BackgroundGradient" type="Gradient" resourceID="GradientTable.LEFTBACKGROUNDGRADIENT"/>
				<Property name="DoubleBuffer" type="Bool">False</Property>
			</Properties>
			<SubContainers>

        <Container type="AppPanel" name = "PhotocardThumbnailListCtrlHolder">
          <Properties>
            <Property name="Size" type="Size">300,258</Property>
            <Property name="Location" type="Point">0,162</Property>
            <Property name="Dock" type="DockStyle">Fill</Property>
            <ComplexProperty name="BackgroundGradient" type="Gradient" resourceID="GradientTable.LEFTBACKGROUNDGRADIENT"/>
            <Property name="DoubleBuffer" type="Bool">False</Property>
          </Properties>
          <SubContainers>
            <Container type="PhotocardThumbnailListCtrl" name="PhotocardThumbnailListCtrlPanel">
              <Properties>
                <Property name="ZOrder" type="Int">0</Property>
                <Property name="Location" type="Point">0,0</Property>
                <Property name="Dock" type="DockStyle">Fill</Property>
                <Property name="Scrollbar" type="ScrollBars">Vertical</Property>
                <Property name="ItemViewStyle" type="ViewStyle">Large</Property>
                <Property name="Multiselect" type="Bool">True</Property>
                <Property name="BorderStyle" type="BorderStyle">None</Property>
                <ComplexProperty name="BackColor" type="Color" resourceID="ThumbnailListCtrlColorTable.BACKCOLOR"/>
                <ComplexProperty name="DefaultItemProperties" type="ThumbnailCtrl">
                  <Properties>
                    <ComplexProperty name="BackColor" type="Color" resourceID="ThumbnailListCtrlColorTable.BACKCOLOR"/>
                    <ComplexProperty name="SelectedBorderColor" type="Color" resourceID="ThumbnailListCtrlColorTable.THUMBNAILBORDERCOLOR"/>
                    <ComplexProperty name="HighlightBorderColor" type="Color" resourceID="ThumbnailListCtrlColorTable.THUMBNAILBORDERCOLOR"/>
                    <Property name="DefaultThumbnailImage" type="Image">WaitIcon.bmp</Property>
                    <Property name="SelectedImage" type="Image">Thumbnail_check.png</Property>
                    <Property name="SelectedEffect" type="SelectedEffectStyle">SelectedImage, SelectedBorder</Property>
                    <Property name="HighlightEffect" type="HighlightEffectStyle">Border</Property>
                  </Properties>
                </ComplexProperty>
              </Properties>
            </Container>

            <!-- Splitter used between top and bottom panels -->
            <!-- Note that a splitter is not really a container, but it is defined
	          as such so that it can be properly positioned in the z-order between
	          the top and bottom panels -->
            <Container type="AppSplitter" name="PhotocardStylesSplitter">
              <Properties>
                <Property name="Size" type="Size">10,300</Property>
                <Property name="Dock" type="DockStyle">Top</Property>
                <Property name="MinSize" type="Int">80</Property>
                <Property name="MinExtra" type= "Int">80</Property>
                <Property name="ImagePositionFixed" type="Bool">False</Property>
                <Property name="ImagePosition" type= "ContentAlignment">MiddleCenter</Property>
                <Property name="ImageUp" type= "Image">VSplitterHandle_reg.png</Property>
                <Property name="ImageDown" type= "Image">VSplitterHandle_down.png</Property>
                <Property name="ImageHover" type= "Image">VSplitterHandle_over.png</Property>
                <Property name="SaveSplitterLocation" type="Bool">True</Property>
                <ComplexProperty name="BackColor" type="Color" resourceID="CommonColors.BACKCOLOR"/>
              </Properties>
            </Container>

            <Container type="AppPanel" name="PhotoCardListBoxPanel">
              <Properties>
                <Property name="Size" type="Size">300,155</Property>
                <Property name="Location" type="Point">2,4</Property>
                <Property name="Dock" type="DockStyle">Top</Property>
                <ComplexProperty name="BackColor" type="Color" resourceID="CommonColors.BACKCOLOR"/>
              </Properties>
              <Controls>
                <Control type="PhotoCardListBox" name="PhotoCardStylesListBox">
                  <Properties>
                    <Property name="Dock" type="DockStyle">Fill</Property>
                    <Property name="BorderStyle" type="BorderStyle">None</Property>
                    <ComplexProperty name="Font" type="Font" resourceID="CommonFonts.STANDARDFONT"/>
                    <ComplexProperty name="BackColor" type="Color" resourceID="CommonColors.WHITE"/>
                  </Properties>
                </Control>
              </Controls>
            </Container>
            
          </SubContainers>
        </Container>

      </SubContainers>
		</Container>
	</Layout>
</AppGui>	